Subject: Re: [Ada-mode-users] bug#33742: 26.1; ada-mode 6.0.0 inserts white space into empty lines

From: Simon Wright <[email-masked]>
Date: Sat, 15 Dec 2018 22:38:18 +0000

On 14 Dec 2018, at 15:28, Ludovic Brenta <[email-masked]> wrote:
> 
> Package: emacs, ada-mode
> X-Debbugs-CC: [email-masked]
> 
> Hello,
> 
> While testing ada-mode 6.0.0 I notice that indent-region inserts
> spaces into empty lines, making them non-empty.  I have found no
> variable to disable this behavior; it is certainly a change
> relative to ada-mode 5.2.2 that can disrupt large code bases with
> unwanted diffs visible in version control and especially merges.
> So, please have ada-mode keep empty lines empty.

I hadn't noticed this because I have delete-trailing-whitespace set in before-save-hook.